Skip to main content
PATCH
/
api
/
files
/
{id}
Update File
curl --request PATCH \
  --url https://api.rapidly.tech/api/files/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "version": "<string>"
}
'
{
  "id": "<string>",
  "workspace_id": "<string>",
  "name": "<string>",
  "path": "<string>",
  "mime_type": "<string>",
  "size": 123,
  "storage_version": "<string>",
  "checksum_etag": "<string>",
  "checksum_sha256_base64": "<string>",
  "checksum_sha256_hex": "<string>",
  "last_modified_at": "2023-11-07T05:31:56Z",
  "version": "<string>",
  "service": "<string>",
  "is_uploaded": true,
  "created_at": "2023-11-07T05:31:56Z",
  "size_readable": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.rapidly.tech/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Create an Workspace Access Token in your workspace's settings page.

Path Parameters

id
string<uuid4>
required

The file ID.

Body

application/json
name
string | null
version
string | null

Response

File updated.

A downloadable file.

id
string<uuid4>
required

The ID of the object.

workspace_id
string<uuid4>
required
name
string
required
path
string
required
mime_type
string
required
size
integer
required
storage_version
string | null
required
checksum_etag
string | null
required
checksum_sha256_base64
string | null
required
checksum_sha256_hex
string | null
required
last_modified_at
string<date-time> | null
required
version
string | null
required
service
string
required
Allowed value: "downloadable"
is_uploaded
boolean
required
created_at
string<date-time>
required
size_readable
string
required
read-only